Update data source CSV data
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}/data \
--header 'Authorization: <api-key>' \
--header 'Content-Type: text/csv' \
--data '<string>'import requests
url = "https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}/data"
payload = "<string>"
headers = {
"Authorization": "<api-key>",
"Content-Type": "text/csv"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'text/csv'},
body: '<string>'
};
fetch('https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}Data sources
Update data source CSV data
Updates the rows of a CSV data source
PUT
/
v1
/
data-sources
/
{dataSourceId}
/
data
Update data source CSV data
Path Parameters
Body
text/csv
A header row must be present in the supplied CSV with names that match the existing headers of the data source. Additionally, all cells of all supplied rows after the header row must conform to the type of their respective column. For example, if a column has type BOOLEAN, then all cells within that column must have a value of either true or false.
The body is of type string.
Response
Success
⌘I